| Kea 3.0.2-git

basic_auth_config.h File Reference
`#include <http/auth_config.h>`
`#include <http/basic_auth.h>`
`#include <list>`
`#include <unordered_map>`
Include dependency graph for basic_auth_config.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::http::BasicHttpAuthClient
| Basic HTTP authentication client configuration. More...
class | isc::http::BasicHttpAuthConfig
| Basic HTTP authentication configuration. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::http

## Typedefs
typedef std::list< BasicHttpAuthClient > | isc::http::BasicHttpAuthClientList
| Type of basic HTTP authentication client configuration list.
typedef boost::shared_ptr< BasicHttpAuthConfig > | isc::http::BasicHttpAuthConfigPtr
| Type of shared pointers to basic HTTP authentication configuration.
typedef std::unordered_map< std::string, std::string > | isc::http::BasicHttpAuthMap
| Type of basic HTTP authentication credential and user id map, e.g.